<?php

    // ini_set("memory_limit","100M");
	// ini_set("max_execution_time","3600");

	// exit if php file is loaded directly and not included
	if (!defined("cms_version_number")){exit();}

    if (!isset($_SESSION[cms_key]['reg_user']) && admin_level()<1){
        //$page_content['main'].='<h3>Access Restricted</h3><p>You do not have the required permissions to download this file. Please login below and try again.</p>';
        $_SESSION[cms_key]['form']['download']['warning'][]="You must be logged in to download this file. Please login below and try again.";
        $page_content['main'].=display_warnings($_SESSION[cms_key]['form']['download']['warning']);
        include(cms_root_dir.'includes/users/login.php');
        $page_content['main'].=$login_form;
        return;
    }

    if ($rvi_download==""){
        $page_content['main'].='Error: file not found';
        return;
    }

    if (isset($rvi_list_id)){
        $fn=sys_data_dir.'/listings/'.$rvi_list_id.'/'.$rvi_download;
    }
    elseif (isset($rvi_message_id)){
        if ($message_details=get_item_details('message',$rvi_message_id)){
            if ((isset($_SESSION[cms_key]['reg_user']) && $_SESSION[cms_key]['reg_user']->id==$message_details['recipient_id']) || admin_level()>0){
                $fn=sys_data_dir.'/messages/'.$rvi_message_id.'/'.$rvi_download;
            }
            else{
                $page_content['main'].='Error: You do not have the required permissions to download this file.';
                return;
            }
        }
    }
    elseif (isset($rvi_cat_id)){
        $fn=sys_data_dir.'/categories/'.$rvi_cat_id.'/files/'.$rvi_download;
    }
    else{$fn=cms_theme_dir.'/downloads/'.$rvi_download;}

    if (isset($fn) && file_exists($fn)){
      header('Content-Description: File Transfer');
      header("Content-type: application/octet-stream");
      header("Content-Transfer-Encoding: Binary");
      header("Content-length: ".filesize($fn));
      header("Content-disposition: attachment; filename=\"".basename($fn)."\"");
      header('Expires: 0');
      header('Cache-Control: must-revalidate, post-check=0, pre-check=0');
      header('Pragma: public');
      readfile($fn);
      if (!empty($_SESSION[cms_key]['reg_user']->id))
        update_item_log('user',$_SESSION[cms_key]['reg_user']->id,'User '.short_name($_SESSION[cms_key]['reg_user']->name,2).' '.$_SESSION[cms_key]['reg_user']->id.' - File Download - '.$rvi_download);
      else
        update_log('Guest - File Download - '.$rvi_download);
      exit;
    }
    else
        $page_content['main'].='Error: file not found';

	
	
?>
