<?php

    // exit if php file is loaded directly and not included
    if (!defined("cms_version_number")){exit();}

    if (isset($gallery_data)){

        $pieces=explode('-',$gallery_data);
        if (isset($pieces[0])){
            if (!is_numeric($pieces[0])){
                if (isset($rvi_cat)){$gallery_cat=$rvi_cat;}else{$gallery_cat=0;}
            }
            else{$gallery_cat=$pieces[0];}
        }
        if (isset($pieces[1])){$gallery_tn_width=$pieces[1];}
        if (isset($pieces[2])){$gallery_tn_height=$pieces[2];}
        if (isset($pieces[3])){$gallery_cols=$pieces[3];}
    }

    // defaults
    if (!isset($gallery_cat)){
        if (isset($rvi_cat)){$gallery_cat=$rvi_cat;}else{$gallery_cat=0;}
    }
    if (!isset($gallery_tn_width)){$gallery_tn_width=200;}
    if (!isset($gallery_tn_height)){$gallery_tn_height=100;}
    if (!isset($gallery_cols)){$gallery_cols=4;}

    $gallery_code="";

    $category = new Category();
    if (!$category->getData($gallery_cat)) return;

    if (empty($category->image)) return;

    $colnum=1;

    foreach ($category->image as $image_fn => $image_data){

        if ($image_data['assign']!=$image_assign_name){continue;}

        if ($colnum==1){$gallery_code.="<tr>";}
        $gallery_code.="<td><div class=\"gallery_img_container\" style=\"width: ".$gallery_tn_width."px; height: ".$gallery_tn_height."px\">";

        // check if correct size image exists and create one if it doesn't
        $thumbnail_fn=$gallery_tn_width."x".$gallery_tn_height.'_c'.$gallery_cat.'_'.$image_fn;
        if (!file_exists(sys_image_dir.'/'.$thumbnail_fn)){
            createthumb($category->itemDir().'/'.$image_fn,sys_image_dir.'/'.$thumbnail_fn,$gallery_tn_width,$gallery_tn_height,0,0);
        }

        $top_margin=ceil($gallery_tn_height/2);

        if (isset($image_data['link']) && $image_data['link']!=''){$img_link=$image_data['link'];}else{$img_link="#";}

        // display alt-text
        $gallery_code.="<div class=\"gallery_txt_container\" style=\"width: ".$gallery_tn_width."px; height: ".$gallery_tn_height."px\">";
        $gallery_code.="<a class=\"gallery_txt_link\" style=\"padding-top: ".$top_margin."px\" href=\"".$img_link."\">".$image_data['alt_tag']."</a>";
        $gallery_code.="</div>";

        // display image
        if (isset($image_data['link']) && $image_data['link']!=''){$gallery_code.="<a href=\"".$image_data['link']."\">";}
        $gallery_code.="<img src=\"".cms_image_url.$thumbnail_fn."\" alt=\"".$image_data['alt_tag']."\" />";
        if (isset($image_data['link']) && $image_data['link']!=''){$gallery_code.="</a>";}

        $gallery_code.="</div></td>";
        $colnum++;
        if ($colnum>$gallery_cols){
            $gallery_code.="</tr><tr><td colspan=\"".$gallery_cols."\" style=\"text-align: center\"><hr style=\"width: ".$gallery_tn_width."px\" /></td></tr>";
            $colnum=1;
        }

    }
    if ($colnum>1 && $colnum<$gallery_cols){$gallery_code.='</tr>';}


    if ($gallery_code!=""){$gallery_code="<table class=\"gallery\">".$gallery_code."</table>";}


?>
