<?php

// TODO: this will likely become a content template for new navmenu 

$page->meta.="<link rel=\"stylesheet\" href=\"".cms_root_url."plugins/treeview_menu/jquery.treeview.css\" type=\"text/css\" />
<script type=\"text/javascript\" src=\"".cms_root_url."plugins/treeview_menu/jquery.treeview.js\"></script>
<script type=\"text/javascript\">
	$(document).ready(function(){
		$(\"[id^=category_nav]\").treeview({collapsed: true});
	});
</script>";

function display_category_nav_menu_treeview($parent_category_id=0, $level=0, $open_category_id=0 , $unique_text='') {

	// cache
	if (cache_enabled>0 && $level<1){

		$cache_key="nav_c_tree".md5($parent_category_id.$open_category_id.$unique_text);

		// load cached menu if it exists
		$fn=sys_cache_dir.'/categories/'.$cache_key.'.cache';
		if (file_exists($fn)){
			$content=file_get_contents($fn);
			return $content;
		}
	}

	// generate menu
	$categories=get_categories($parent_category_id,null,1);
	if (empty($categories)) return false;

    // change child_category_count to 0 if the child categories are all menu_visible hidden
    foreach ($categories as $category_id => $value){
        if ($value['menu_link_visible']>0 && $value['child_category_count']>0){
            $sub_categories=get_all_child_categories($category_id);
            $omit=1;
            foreach ($sub_categories as $category_id2 => $value2){
                if ($value2['menu_link_visible']>0){$omit=0;break;}
            }
            if ($omit>0){$categories[$category_id]['child_category_count']=0;;}
        }
    }

	if ($level<1){$content="<ul id=\"category_nav_".$parent_category_id."_".rand(100,999)."\">\n";}else{$content="\n<ul>\n";}

    $category = new Category();
    $category_2 = new Category();

	foreach ($categories as $category_id => $value){

		if ($value['menu_link_visible']<1){continue;}

		// expand category tree if category or sub category is currently being viewed
		$open="";
		if ($category_id==$open_category_id){$open=" class=\"open\"";}
		elseif($value['child_category_count']>0){
			   $category_2->getData($open_category_id);
			   if ($category_2->parent_category_id==$category_id){$open=" class=\"open\"";}
		}

		if ($value['menu_link_html']>0){
            $category->getData($category_id);
            $content.="<li".$open.">".$category->menu_link_html;
        }
		else{$content.="<li".$open."><a href=\"".category_url($category_id,1,$value['slug'])."\">".htmlspecialchars($value['name'])."</a>";}

        // call this function again to display this categories child categories if any
        if ($value['child_category_count']>0){$content.=display_category_nav_menu_treeview($category_id, $level+1, $open_category_id);}
		$content.="</li>\n";


	}
	$content.="</ul>\n";

	// cache menu
	if (cache_enabled>0 && $level<1){
		$fo=fopen($fn,"w");
		fwrite($fo,$content);
		fclose($fo);
	}

   return $content;
}

?>