<?php

	// allow this script to be called stand-alone for dynamic display update via javascript
	if (!defined("cms_version_number")) exit;
    $jquery_required=1;
                                         
    $cart_item_count=$_SESSION[cms_key]['cart']->getProductCount();
    $cart_price_total=formatPrice($_SESSION[cms_key]['cart']->getTotal($cmsSettings->b2b,false,true));

    $page->body_end.="<div id=\"add_to_cart_popup\"><p>Product(s) added to your <a href=\"".cms_url."?cart\">shopping cart</a>.</p>";
    $page->body_end.="<div class=\"popup_cart_menu\" style=\"margin: 15px\"><span class=\"shopping_cart_menu\"><img src=\"".theme_file_url('images/shop/cart.png',display_theme)."\" width=\"29\" height=\"23\" alt=\"shopping cart\" style=\"vertical-align: middle\" /> <a href=\"".cms_url."?cart\"><span class=\"cms-cart-qty\">".$cart_item_count."</span> ".($cart_item_count==1 ? "item" : "items")."</a> | <a href=\"".cms_url."?cart\" class=\"cms-cart-total\">".$cart_price_total."</a></span></div>";
    //$page->body_end.="<img src=\"".theme_file_url('images/shop/continue_shopping.png',display_theme)."\" id=\"continue_shopping\" alt=\"Continue Shopping\" style=\"margin: 6px\" /> <a href=\"".cms_url."?cart\"><img src=\"".theme_file_url('images/shop/checkout.png',display_theme)."\" alt=\"Go to Checkout\" style=\"margin: 6px\" /></a></div>";
    $page->body_end.="<form action=\"".cms_url."?cart\" method=\"post\"><button type=\"button\" class=\"cms_btn cms_btn_continue_shopping\">".$txt['btn_continue_shopping']."</button> <button type=\"submit\" class=\"cms_btn cms_btn_checkout\">".$txt['btn_checkout']."</button></form></div>";

    // note: don't wrap a product class in another product class
    $page->body_end.="<script>
    $(document).ready(function(){

    // hide add to cart popup when mouse button is clicked
    $(document).on('click',function() {
        $('#add_to_cart_popup').fadeOut(300);
    });


  $('.cms_product_form').submit(function(e) {

      var no_scpu =  $(this).find(\"input[name='no_scpu']\").val();
      if (no_scpu>0){
         return;
      }

      var product_id = $(this).find(\"[name='add_to_cart']\").val();
      if (product_id.length<1){return false;}

      var amount = $(this).find(\"input[name='qty']\").val();

      if (amount<1){amount=1;}

      var product_option_array = {};
      var product_option_name;
      $(this).find('select[name^=\"product_option\"]').each(function() {

        var matches = this.name.match(/\[(.*?)\]/);
        if (matches) {
            var product_option_name = matches[1];
        }

        product_option_array[ product_option_name ] = $(\"option:selected\", this).attr(\"value\");
      });

      var dynamic_note = $(this).find(\"[name='dynamic_note']\").val();

      $.ajax({ url: '".$page->url."',
               data: {add_to_cart: product_id, qty: amount, ajax: 1, product_option: product_option_array, dynamic_note: dynamic_note},
               type: 'post',
               success: function(data) {
                // data is a string
                var cart_info = data.split('|');
                // update cart info on page
                $(\".cms-cart-qty\").html(cart_info[0]);
                $(\".cms-cart-total\").html(cart_info[1]);
                // show add to cart popup on success
                $('#add_to_cart_popup').fadeIn(300);
               }
      });

      e.preventDefault();

  });

});
</script>";

?>
