<?php

	// exit if php file is loaded directly and not included
	if (!defined("cms_version_number")) exit();

    $page->title="Shopping Cart";
    $page->meta_title=cms_site_name." - ".$page->title;
    $page->template=$cmsSettings->checkout['template_cart'];

    // auto-apply coupons
    include_once(cms_root_dir.'includes/shop/coupon_auto_apply.php');

    // remove any items that are selected to be removed
    if (isset($rvi_remove_item)){
        foreach($rvi_remove_item as $order_slot_id => $value){
            unset($_SESSION[cms_key]['cart']->products[$order_slot_id]);
        }
        // these are unset above do we need to repeat here? should discount be set to 0 instead of unset?
        if ($_SESSION[cms_key]['cart']->coupons) unset($_SESSION[cms_key]['cart']->coupons);
        if ($_SESSION[cms_key]['cart']->discount) unset($_SESSION[cms_key]['cart']->discount);

        // redirect after form submit so browser back and refresh work without browser resend form data warning
        header("Location: ".cms_url."?cart",true,303);
        exit;
    }

    // update cart quantities
    if (isset($rvi_cart_qty)){
        foreach($_SESSION[cms_key]['cart']->products as $order_slot_id => $order_slot){
            // remove item from cart if qty less than 1
            if ($rvi_cart_qty[$order_slot_id]<1){unset($_SESSION[cms_key]['cart']->products[$order_slot_id]);}
            else{$_SESSION[cms_key]['cart']->products[$order_slot_id]->qty=$rvi_cart_qty[$order_slot_id];}
        }
        if (isset($_SESSION[cms_key]['cart']->coupons)) unset($_SESSION[cms_key]['cart']->coupons);
        if (isset($_SESSION[cms_key]['cart']->discount)) unset($_SESSION[cms_key]['cart']->discount);

        // redirect after form submit so browser back and refresh work without browser resend form data warning
        header("Location: ".cms_url."?cart",true,303);
        exit;
    }

    include(theme_file_fn('includes/cms/shop/cart.php',display_theme));


?>
