<?php

// Stripe 7.35.0 requires PHP 5.6.0 or later

// curl needed
if (!in_array('curl', get_loaded_extensions())){exit("cURL is NOT <span style=\"color:red\">installed</span> on this server");}


require_once('init.php');

// Set your secret key. Remember to switch to your live secret key in production!
// See your keys here: https://dashboard.stripe.com/account/apikeys
\Stripe\Stripe::setApiKey('sk_test_oW2PUL0RWH3g25ViJle2PTbQ00O2mYWwrZ');

$intent=\Stripe\PaymentIntent::create([
    'amount' => 100,
    'currency' => 'eur',
    'payment_method_types' => ['card'],
    'receipt_email' => 'jenny.rosen@example.com',
    // Verify your integration in this guide by including this parameter
    'metadata' => ['integration_check' => 'accept_a_payment'],
]);





    echo "<h2>ok</h2>";

?>
<html>
<head>
    <title>Checkout</title>
    <script src="https://js.stripe.com/v3/"></script>
    <script>
    // Set your publishable key: remember to change this to your live publishable key in production
// See your keys here: https://dashboard.stripe.com/account/apikeys
var stripe = Stripe('pk_test_OdQEvGsIzlXpHr8dDnVSeYYC00xqfnSfvD');
var elements = stripe.elements();
</script>
</head>
<body>

<form id="payment-form">
    <div id="card-element">
        <!-- Elements will create input elements here -->
    </div>

    <!-- We'll put the error messages in this element -->
    <div id="card-errors" role="alert"></div>

    <button id="submit">Pay</button>
</form>

<script>
// Set up Stripe.js and Elements to use in checkout form
var style = {
    base: {
        color: "#32325d",
    }
};

var card = elements.create("card", { style: style });
card.mount("#card-element");




var form = document.getElementById('payment-form');

var clientSecret =  '<?= $intent->client_secret ?>';

form.addEventListener('submit', function(ev) {
    ev.preventDefault();
    stripe.confirmCardPayment(clientSecret, {
        payment_method: {
            card: card,
            billing_details: {
                name: 'Jenny Rosen'
            }
        }
    }).then(function(result) {
        if (result.error) {
            // Show error to your customer (e.g., insufficient funds)
            console.log(result.error.message);
        } else {
            // The payment has been processed!
            if (result.paymentIntent.status === 'succeeded') {
                // Show a success message to your customer
                // There's a risk of the customer closing the window before callback
                // execution. Set up a webhook or plugin to listen for the
                // payment_intent.succeeded event that handles any business critical
                // post-payment actions.
            }
        }
    });
});



</script>

</body>
</html>