<?php

	// exit if php file is loaded directly and not included
	if (!defined("cms_version_number")){exit();}

    // sumup pay over the phone payment option
    // payment options must contain the folowing data
    $payment_option_details=array();
    $payment_option_details['item_type']='payment_option'; // required - do not change or remove this

    $payment_option_details['id']="sumup";  // required - each shipping option must have a unique id that matches the file name exactly minus the extension
    $payment_option_details['admin_name']="Sumup";  // display name in admin area
    $payment_option_details['admin_description']="Pay over the phone via Sumup"; // description displayed in admin
    $payment_option_details['name']="Pay over the phone"; // display name in checkout/front end
    $payment_option_details['description']="Call to pay over the phone via Sumup.";  // description displayed in checkout/front end

    // get saved data for this payment option if it exists
    if ($saved_payment_option_details=get_item_details('payment_option',$payment_option_details['id'])){
        if (function_exists('array_replace_recursive')){
            // php5.3.0 or higher
           $payment_option_details=array_replace_recursive($payment_option_details,$saved_payment_option_details);
        }
        else{
            // legacy code for pre php5.3.0
            $payment_option_details=$saved_payment_option_details;
        }
    }

    if (!isset($rvi_paynow) || !isset($payment_option_details['status']) || $payment_option_details['status']<1){return;}
    // ------------- paynow button code goes below here -------------

    $payment_option_form="<img src=\"".cms_root_url."includes/shop/payment_options/sumup/sumup-logo.png\" alt=\"Sumup\" width=\"210\" height=\"64\" />";


?>