<?php

	// exit if php file is loaded directly and not included
	if (!defined("cms_version_number")){exit();}

    // worldpay payment option
    // payment options must contain the folowing data
    $payment_option_details=array();
    $payment_option_details['item_type']='payment_option'; // required - do not change or remove this

    $payment_option_details['id']="worldpay";  // required - each shipping option must have a unique id that matches the file name exactly minus the extension
    $payment_option_details['admin_name']="WorldPay";  // display name in admin area
    $payment_option_details['admin_description']="Accept payments via WorldPay."; // description displayed in admin
    $payment_option_details['name']="WorldPay"; // display name in checkout/front end
    $payment_option_details['description']="Pay by credit card via WorldPay.";  // description displayed in checkout/front end

    // custom data specific to this payment option - can be modified in admin area
    $payment_option_details['value']['worldpay_id']['name']='WorldPay ID';
    $payment_option_details['value']['worldpay_id']['admin_description']='Enter your WorldPay account ID.';
    $payment_option_details['value']['worldpay_id']['value']="";

    // get saved data for this payment option if it exists
    if ($saved_payment_option_details=get_item_details('payment_option',$payment_option_details['id'])){
        if (function_exists('array_replace_recursive')){
            // php5.3.0 or higher
           $payment_option_details=array_replace_recursive($payment_option_details,$saved_payment_option_details);
        }
        else{
            // legacy code for pre php5.3.0
            $payment_option_details=$saved_payment_option_details;
        }
    }

    if (!isset($rvi_paynow) || !isset($payment_option_details['status']) || $payment_option_details['status']<1){return;}
    // ------------- paynow button code goes below here -------------

    $payment_option_form="<form action=\"https://select.worldpay.com/wcc/purchase\" method=\"post\">
    <input type=hidden name=\"testMode\" value=\"100\">
    <input type=hidden name=\"instId\" value=\"".$payment_option_details['value']['worldpay_id']['value']."\">
    <input type=hidden name=\"cartId\" value=\"".$order->id."\">
    <input type=hidden name=\"amount\" value=\"".number_format($order_total,2)."\">
    <input type=hidden name=\"currency\" value=\"".$currency_code."\">
    <input type=hidden name=\"desc\" value=\"".cms_site_name." Order ".$order->id."\">
    <input type=submit value=\"Pay Now\">
    </form>";


?>