<?php

	// exit if php file is loaded directly and not included
	if (!defined("cms_version_number")) exit;

    // display shopping cart
    $cart_content="";
    if ($_SESSION[cms_key]['cart']->products){

        $tn_size_x=120;
        $tn_size_y=120;

        /*$cart_content="<form name=\"shopping_cart\" method=\"post\" action=\"".cms_url."?cart\"><table align=\"center\" id=\"cms-shopping-cart\" class=\"cms_table\">
        <thead><tr>".(display_type!='mobile' ? "<th style=\"width: 90px\">Remove</th><th>&nbsp;</th>" : "")."<th>Product</th><th style=\"width: 90px; text-align: center\">Qty</th><th align=\"right\">Total</th></tr></thead>
        <tbody>";*/
        $cart_content="<form name=\"shopping_cart\" method=\"post\" action=\"".cms_url."?cart\">
        <table align=\"center\" id=\"cms-shopping-cart\" class=\"cms_table\">
        <thead><tr>".(display_type!='mobile' ? "<th>&nbsp;</th>" : "")."<th>".$txt['invoice_items_heading']."</th><th style=\"width: 90px; text-align: center\">Qty</th><th style=\"text-align: right\">Total</th></tr></thead>
        <tbody>";
        $alternate_rowcol='';
        foreach($_SESSION[cms_key]['cart']->products as $order_slot_id => $order_slot){
                                                                 //     admin_debug($order_slot);
            $product = $order_slot->product->getProduct();
         
            $product_path=$product->itemDir().'/';

            // if product file no longer exists remove from cart
            // if ($product->id > 0 && !file_exists($product_path."data.php") && !file_exists($product_path."details.php")){unset($_SESSION[cms_key]['cart']->products[$order_slot_id]);continue;}
            if (!file_exists($product_path."data.php") && !file_exists($product_path."details.php")){unset($_SESSION[cms_key]['cart']->products[$order_slot_id]);continue;}

            $thumbnail_fn="";
            if (display_type!='mobile' && !empty($product->image)){

                // get the first image filename
                foreach($product->image as $image_fn => $value) break;

                /*
                if (isset($order_slot->listing_id)){

    			    // check if correct size image exists and create one if it doesn't
    	            $thumbnail_fn=$tn_size_x."x".$tn_size_y.'_l'.$order_slot->listing_id.'_'.safe_file_name($image_fn);

    			    if (!file_exists(sys_image_dir.'/'.$thumbnail_fn)){
                        $listing_path=sys_data_dir.'/listings/'.$order_slot->listing_id.'/';
                        if (file_exists($listing_path.$image_fn)){createthumb($listing_path.$image_fn,sys_image_dir.'/'.$thumbnail_fn,$tn_size_x,$tn_size_y,1);}
    			    }

                }
                else{

        	        // check if correct size image exists and create one if it doesn't
        	        $thumbnail_fn=$tn_size_x."x".$tn_size_y.'_p'.$order_slot->product->id.'_'.safe_file_name($image_fn);

        			if (!file_exists(sys_image_dir.'/'.$thumbnail_fn)){
                        if (file_exists($product_path.$image_fn)){createthumb($product_path.$image_fn,sys_image_dir.'/'.$thumbnail_fn,$tn_size_x,$tn_size_y,1);}
        			}

                }
                */

                // check if correct size image exists and create one if it doesn't
    	        $thumbnail_fn=$tn_size_x."x".$tn_size_y.'_p'.$order_slot->product->id.'_'.safe_file_name($image_fn);

    			if (!file_exists(sys_image_dir.'/'.$thumbnail_fn)){
                    if (file_exists($product_path.$image_fn)){createthumb($product_path.$image_fn,sys_image_dir.'/'.$thumbnail_fn,$tn_size_x,$tn_size_y,1);}
    			}


        	    // get size of thumbnail image
        	    $image_size=getimagesize(sys_image_dir.'/'.$thumbnail_fn);

            }

            if (strlen($order_slot->product->code)>0){$product_code="<span class=\"product_code\">(".$order_slot->product->code.")</span><br />";}else{$product_code='';}

            $cart_content.="<tr".$alternate_rowcol.">";
            if (display_type!='mobile'){
                //$cart_content.="<td align=\"center\"><input type=\"checkbox\" name=\"remove_item[$order_slot_id]\"></td>";
                $cart_content.="<td width=\"".$tn_size_x."\" align=\"center\" style=\"background-color: #ffffff\">";
            }
            if (!empty($thumbnail_fn)){
                if (!empty($order_slot->listing_id) || !empty($order_slot->subscription_id)){$cart_content.="<img src=\"".cms_image_url.$thumbnail_fn."\" width=\"".$image_size[0]."\" height=\"".$image_size[1]."\" alt=\"".$order_slot->product->name."\" border=\"0\">";}
                else{$cart_content.="<a href=\"".$product->getURL()."\"><img src=\"".cms_image_url.$thumbnail_fn."\" width=\"".$image_size[0]."\" height=\"".$image_size[1]."\" alt=\"".$order_slot->product->name."\" border=\"0\"></a>";}
                //$cart_content.="<a href=\"".$product->getURL()."\"><img src=\"".cms_image_url.$thumbnail_fn."\" width=\"".$image_size[0]."\" height=\"".$image_size[1]."\" alt=\"".$order_slot->product->name."\" border=\"0\"></a>";
            }
            if (display_type!='mobile'){$cart_content.="</td>";}
            $cart_content.="<td width=\"300\">".$product_code;
            if (!empty($order_slot->listing_id) || !empty($order_slot->subscription_id))
                $cart_content.=$order_slot->product->name;
            else
                $cart_content.="<a href=\"".$product->getURL()."\">".$order_slot->product->name."</a>";
            //$cart_content.="<a href=\"".$product->getURL()."\">".$order_slot->product->name."</a>";

            // display selected options and any discount
            if (!empty($order_slot->product->options) || $order_slot->product->discount > 0){
                $cart_content.="<div style=\"font-size: 12px;\">";
                foreach ($order_slot->product->options as $option => $value){
                    $cart_content.=$option.': '.key($value).'<br />';
                }

                if ($order_slot->product->discount > 0){
                    if (substr($order_slot->product->discount,-1)=='%')
                        $cart_content.="<span style=\"color:#e60000\">Discount: save ".$order_slot->product->discount."</span>";
                    else
                        $cart_content.="<span style=\"color:#e60000\">Discount: save ".formatPrice($order_slot->product->discount)."</span>";
                }

                $cart_content.="</div>";
            }


            if ($order_slot->customer_note){$cart_content.="<div class=\"customer_note\"><b>Instructions/Notes:</b><br />".$order_slot->customer_note."</div>";}
            if ($order_slot->uploaded_file){$cart_content.="<div class=\"customer_note\"><b>File:</b><br />".$order_slot->uploaded_file."</div>";}
            if ($order_slot->subscription_id){$cart_content.='<div class=\"customer_note\">Subscription Ref: '.$order_slot->subscription_id.'</div>';}
            if ($order_slot->listing_id){$cart_content.='<div class=\"customer_note\">Listing Ref: '.$order_slot->listing_id.'</div>';}

            // remove item button
            $cart_content.="<div class=\"sc_product_controls\"><input type=\"submit\" name=\"remove_item[$order_slot_id]\" value=\"Remove\"></div>";
            //admin_debug($order_slot);
            $cart_content.="</td><td width=\"50\" align=\"center\"><input type=\"text\" name=\"cart_qty[$order_slot_id]\" value=\"".$order_slot->qty."\" class=\"qty\"></td><td width=\"100\" style=\"text-align: right\">".formatPrice($order_slot->getTotal($cmsSettings->b2b))."</td></tr>";
            if ($alternate_rowcol==''){$alternate_rowcol=' class="altrowcol"';}else{$alternate_rowcol='';}
        }

        if (!empty($_SESSION[cms_key]['cat'])){
            $continue_shopping_page=1;
            if (!empty($_SESSION[cms_key]['page'])) $continue_shopping_page=$_SESSION[cms_key]['page'];
            $continue_shopping_category = new Category();
            if ($continue_shopping_category->getData($_SESSION[cms_key]['cat']))
                $continue_shopping_url=$continue_shopping_category->getURL(null,null,$continue_shopping_page);
        }
        else $continue_shopping_url=cms_url;

        if (display_type=='mobile'){$colspan=2;}else{$colspan=3;}
        if ($_SESSION[cms_key]['cart']->discount)
            $cart_content.="<tr><td colspan=\"".$colspan."\" style=\"text-align: right;padding: 8px 5px 8px 0\">Discounts:</td><td style=\"text-align: right\">- ".formatPrice($_SESSION[cms_key]['cart']->discount)."</td></tr>";

        $cart_content.="<tr><td colspan=\"".$colspan."\" style=\"text-align: right;padding: 8px 5px 8px 0\"><b>Sub-Total (".$_SESSION[cms_key]['cart']->displayProductCount()."):</b></td><td style=\"text-align: right\"><b>".formatPrice($_SESSION[cms_key]['cart']->getTotal($cmsSettings->b2b,false,true))."</b></td></tr>";


        if (display_type=='mobile'){$colspan=3;}else{$colspan=4;}

        $cart_content.="<tr><td colspan=\"".$colspan."\" style=\"text-align: right;padding: 10px\"><button type=\"submit\" formaction=\"".$continue_shopping_url."\" class=\"cms_btn cms_btn_continue_shopping\">".$txt['btn_continue_shopping']."</button><button type=\"submit\" class=\"cms_btn cms_btn_continue_shopping\">".$txt['btn_update_cart']."</button><button type=\"submit\" formaction=\"".cms_url."?order_stage=checkout\" class=\"cms_btn cms_btn_checkout\">".$txt['btn_checkout']."</button></td></tr>";

        $cart_content.="</tbody></table></form>";
    }

        // open page content div
    $page_content['main'].="<div class=\"cms-content cms-cart\">\n";
    $page_content['main'].="<h1>".$txt['cart_name']."</h1>";
    if ($cart_content!=""){$page_content['main'].=$cart_content;}
    else{$page_content['main'].="<p>".$txt['cart_empty']."</p>";}

    // display suggested products
    if ($suggested_products=displayCategory(1,1))
        $page_content['main'].=$suggested_products['content']['main'];

    $page_content['main'].="</div>\n"; // close page_content div

    // if (admin_level()>9 && isset($_SESSION[cms_key]['cart']->coupons)){ echo "<pre>"; print_r($_SESSION[cms_key]['cart']->coupons); echo "</pre>"; exit;}


?>
