<?php

    $cart_item_count=0;
    $cart_price_total=0;

    // allow this script to be called stand-alone for dynamic display update via javascript
    if (!defined("cms_version_number")) require_once('../../../../../scripts/main.php');

    if (isset($_SESSION[cms_key]['cart'])){
        $cart_item_count=$_SESSION[cms_key]['cart']->getProductCount();
        $cart_price_total=formatPrice($_SESSION[cms_key]['cart']->getTotal());
    }

    if (empty($rvi_display_cart_menu) || $rvi_display_cart_menu=='full_cart_menu'){
        // template tag {cms-cart-menu} will output this
        $cart_menu="<div class=\"shopping_cart_menu\"><img src=\"".theme_file_url('images/cms/shop/cart.png',display_theme)."\" width=\"29\" height=\"23\" alt=\"shopping cart\" style=\"vertical-align: middle\" /> <a href=\"".cms_url."?cart\"><span class=\"cms-cart-qty\">".$cart_item_count."</span> ".($cart_item_count==1 ? "item" : "items")."</a> | <a href=\"".cms_url."?cart\" class=\"cms-cart-total\">".$cart_price_total."</a></div>";
    }
    elseif ($rvi_display_cart_menu=='qty_only'){$cart_menu=$cart_item_count;} // template tag {cms-cart-qty} will output this
    elseif ($rvi_display_cart_menu=='price_total_only'){$cart_menu=$cart_price_total;} // template tag {cms-cart-total} will output this


?>
