<?php

	// exit if php file is loaded directly and not included
	if (!defined("cms_version_number")) exit;

    if ($cmsSettings->captcha_is_enabled('register')){
        $page->meta.="<script src='https://www.google.com/recaptcha/api.js'></script>
        <script>
        function onSubmit(token) {
            document.getElementById(\"registrationForm\").submit();
        }
        </script>";
    }

    $login_form="<h1 id=\"registration_form\">".$txt['Register']."</h1>";
 
	// display registration form
    if (isset($_SESSION[cms_key]['form']['register']['warning_green'])){$login_form.=display_warnings($_SESSION[cms_key]['form']['register']['warning_green'],'green');}
    else{

        // login links
        $login_links[]="<a href=\"".cms_url."?login\">".$txt['Login']."</a>";
        $login_links[]="<a href=\"".cms_url."?forgot_password\">".$txt['Forgot_Password']."</a>";

		$login_form.="<p>".$txt['account_register']." ".link_str($login_links," / ")."</p>";

        // display login warnings
        if (!empty($warnings_register)){$login_form.=$warnings_register;}

		$login_form.="<form class=\"cms_form\" id=\"registrationForm\" name=\"customer_registation_form\" method=\"post\" action=\"".$page->url."#registration_form\">
		<table class=\"basic_table\"><tbody>
		<tr><td>".$txt['Name'].": </td><td><input type=\"text\" name=\"name\" value=\"".(isset($_SESSION[cms_key]['form']['name']) ? $_SESSION[cms_key]['form']['name'] : '')."\" /></td></tr>
		<tr><td>".$txt['Email'].": </td><td><input type=\"text\" name=\"email\" value=\"".(isset($_SESSION[cms_key]['form']['email']) ? $_SESSION[cms_key]['form']['email'] : '')."\" /></td></tr>
        <tr><td colspan=\"2\" class=\"small_note\"><input type=\"checkbox\" name=\"newsletter\" ".(isset($_SESSION[cms_key]['form']['newsletter']) ? 'checked="checked" ' : '')." /> ".$txt['Newsletter_sub_instruction']."</td></tr>";

        if ($security_question && $cmsSettings->user['secq_register']){
            $login_form.="<tr>
                <td colspan=\"2\"><hr /><p class=\"small_note\">Please answer the following question to verify you are not a spam-bot.</p>
                <span class=\"small_note\">".$security_question."</td>
            </tr>";

        }


        if ($cmsSettings->captcha_is_enabled('register'))
            $login_form.="<tr><td colspan=\"2\" style=\"text-align: right\"><input type=\"hidden\" name=\"signup\" /><button type=\"submit\" class=\"cms_btn cms_btn_login g-recaptcha\" data-sitekey=\"".$cmsSettings->user['captcha_sitekey']."\" data-callback=\"onSubmit\">".$txt['btn_register']."</button></td></tr>";
        else
            $login_form.="<tr><td colspan=\"2\" style=\"text-align: right\"><input type=\"hidden\" name=\"signup\" /><button type=\"submit\" class=\"cms_btn cms_btn_login\">".$txt['btn_register']."</button></td></tr>";

        $login_form.="</tbody></table>
		</form>";
	}

    // wrap in content div
    $login_form="<div class=\"cms-content cms-login\">".$login_form."</div>";


?>
