<?php

	// exit if php file is loaded directly and not included
	if (!defined("cms_version_number")){exit();}

    if (isset($image_assign_name) && isset($image_content[$image_assign_name]))
    {

        $args=explode('-',$arg_string);
        // first and second arguments for image width and height
        if (isset($args[0])){$image_width=$args[0];}
        if (isset($args[1])){$image_height=$args[1];}
        // if third argument is set to 1 will output the image url only
        if (isset($args[2])){$url_only=$args[2];}


        if ($image_assign_name=='Nothing'){return;}
        if (!isset($image_width) || $image_width<10){return;}
        if (!isset($image_height) || $image_height<10){return;}

        if ($image_content[$image_assign_name]['type']=='category'){
            $thumbnail_fn=$image_width."x".$image_height.'_c'.$image_content[$image_assign_name]['id'].'_'.$image_content[$image_assign_name]['filename'];
            $image_path=sys_data_dir.'/categories/'.$image_content[$image_assign_name]['id'].'/'.$image_content[$image_assign_name]['filename'];
        }
        else{return;}

		// check if correct size image exists and create one if it doesn't
		if (!file_exists(sys_image_dir.'/'.$thumbnail_fn)){
		    createthumb($image_path,sys_image_dir.'/'.$thumbnail_fn,$image_width,$image_height,1,0);
		}

        // output only image url
        if (isset($url_only) && $url_only>0){
            echo  cms_image_url.$thumbnail_fn;
            return;
        }

        // output image on page
        $image_output="<img src=\"".cms_image_url."/".$thumbnail_fn."\" width=\"".$image_width."\" height=\"".$image_height."\" alt=\"".$image_content[$image_assign_name]['alt_tag']."\" />";

        // link image
        if (isset($image_content[$image_assign_name]['link']) && $image_content[$image_assign_name]['type']!=""){
            $image_output="<a href=\"".$image_content[$image_assign_name]['link']."\">".$image_output."</a>";
        }

        echo $image_output;

    }

	
?>
