<?php

	// exit if php file is loaded directly and not included
	if (!defined("cms_version_number")){exit();}

    $rvi_subject=cms_site_name." - Account Summary Ref: ".$user->id;

    if (!isset($rvi_mail_body)){$rvi_mail_body="Hi ".short_name($user->name).",\n\n";}

    $account_summary_details=get_account_summary_details($user->id);

    if ($rvi_account_summary=='balance'){
        $rvi_mail_body.="This is a reminder that you have unpaid invoices on your account.";
        if (isset($account_summary_details['orders_overdue_count']) && $account_summary_details['orders_overdue_count']>0){
            if ($account_summary_details['orders_overdue_count']==1){$rvi_mail_body.=" 1 invoice is now overdue and requires immediate attention.";}
            else{$rvi_mail_body.=" ".$account_summary_details['orders_overdue_count']." invoices are now overdue and require immediate attention.";}
        }
        $rvi_mail_body.="\n\nThe current balance on your account is ".$account_summary_details['currency_symbol'].number_format($account_summary_details['balance'],2)."\nUse the link below to make payment and bring your account up to date.\n\n".cms_url."?paynow&amount=".$account_summary_details['balance'];

        //$rvi_mail_body.="\n\nYou can also view your invoices by logging into your account using the link below.\n\n".user_login_link($user,"?myaccount=orders");
        $rvi_mail_body.="\n\nTo view or print your invoices login at ".cms_url."?login";
        $rvi_mail_body.="\n\nThank you for your custom.";

    }


    $rvi_mail_body.="\n\n".cms_site_name."\n".cms_site_url;

    $rvi_mail_body.="\n\n-----------------------------------------------------------\nTo ensure continued support and uninterrupted operation of your website, email and associated services please ensure that all amounts are paid in full. Full payment must be made in advance of services being registered, transferred or renewed. Your domain names are at risk if you do not renew them before their renewal date. Balance for new websites must be paid in full before going live.";

    // privacy policy note
    $rvi_mail_body.="\n\n------------------------------------\nFor information on how we collect and use your data please read our privacy policy at ".cms_url."?terms#privacy";

?>
