<?php

	// exit if php file is loaded directly and not included
	if (!defined("cms_version_number")){exit();}

    $rvi_subject=cms_site_name." - Listing Ref: ".$listing->id;

    $status_options=array("Inactive","Active","Awaiting Payment","Awaiting Approval","Rejected","Expired");

    if (!isset($rvi_mail_body)){$rvi_mail_body="Hi ".short_name($user->name).",\n\n";}

    if ($listing->status==1){
        // active
        $rvi_mail_body.="This is a courtesy email to notify you that your listing ref: ".$listing->id." is now active and can be viewed at the link below.\n\n".item_url('listing',$listing->id,$listing->slug)."\n\nYou can use this link in your emails, correspondence and on other websites and forums to bring visitors directly to your listing. Please keep this email for future reference.";
    }
    elseif ($listing->status==2 && isset($listing->order_id)){
        // Awaiting Payment
        $rvi_mail_body.="This is a courtesy email to notify you on the current status of your listing.\n\nYour listing ref: ".$listing->id." status is ".$status_options[$listing->status]."\n\n".$listing->name."\n".item_url('listing',$listing->id,$listing->slug)."\n\nIf you have not yet made payment and would like to do so now please go to\n".cms_url."?paynow=".$listing->order_id;
    }
    elseif ($listing->status==4){
        // rejected
        $rvi_mail_body.="This is a courtesy email to notify you that your listing ref: ".$listing->id." has been rejected.\n\n".$listing->name."\n".item_url('listing',$listing->id,$listing->slug)."\n\nTo update this listing for review please login to your account at ".cms_url."?myaccount";
    }
    elseif ($listing->status==5){
        // expired
        $rvi_mail_body.="This is a courtesy email to notify you that your listing ref: ".$listing->id." has expired.\n\n".$listing->name."\n".item_url('listing',$listing->id,$listing->slug)."\n\nTo renew this listing please login to your account at ".cms_url."?myaccount";
    }
    else{
        // default
        $rvi_mail_body.="This is a courtesy email to notify you on the current status of your listing.\n\nYour listing ref: ".$listing->id." status is ".$status_options[$listing->status]."\n\n".$listing->name."\n".item_url('listing',$listing->id,$listing->slug);
    }

    $rvi_mail_body.="\n\n".cms_site_name."\n".cms_site_url;

    // privacy policy note
    $rvi_mail_body.="\n\n------------------------------------\nFor information on how we collect and use your data please read our privacy policy at ".cms_url."?terms#privacy";
    
?>
