<?php

// TODO: this will likely become a content template for new navmenu

$page->meta.="<script src=\"".cms_root_url."plugins/accordian_menu/menu.js\" type=\"text/javascript\"></script>
<link rel=\"stylesheet\" href=\"".cms_root_url."plugins/accordian_menu/style.css\" type=\"text/css\" />
	<!--[if lt IE 9]>
   <style type=\"text/css\">
   ul.accordian_menu li a {display:inline-block;}
   ul.accordian_menu li a {display:block;}
   </style>
   <![endif]-->\n";

function display_category_nav_menu_accordian($parent_category_id=0, $noaccordian=null, $open_category_id=0, $level=0) {

    // cache
	if ($level<1 && cache_enabled>0){

		$cache_key="nav_c_acc".md5($parent_category_id.$open_category_id);

		// load cached menu if it exists
		$fn=sys_cache_dir.'/categories/'.$cache_key.'.cache';
		if (file_exists($fn)){
			$content=file_get_contents($fn);
			return $content;
		}
	}

	// generate menu
	$categories=get_categories($parent_category_id,null,1);
	if (empty($categories)) return false;

    // change child_category_count to 0 if the child categories are all menu_visible hidden
    foreach ($categories as $category_id => $value){
        if ($value['menu_link_visible']>0 && $value['child_category_count']>0){
            $sub_categories=get_all_child_categories($category_id);
            $omit=1;
            foreach ($sub_categories as $category_id2 => $value2){
                if ($value2['menu_link_visible']>0){$omit=0;break;}
            }
            if ($omit>0){$categories[$category_id]['child_category_count']=0;;}
        }
    }

	if ($level<1){
        if (is_null($noaccordian) || $noaccordian<1){$content="<ul class=\"accordian_menu\">\n";}
        else{$content="<ul class=\"accordian_menu noaccordion\">\n";}
    }else{$content="\n<ul class=\"acitem\">\n";}

	 /*
	 if ($level>0){
		$category_details=get_category_details($parent_category_id);
		if (strlen($category_details['menu_link_html'])>0){$content.="<li>".$category_details['menu_link_html']."</li>";}
		else{$content.="<li><a href=\"".cms_url."?cat=".$parent_category_id."&amp;page=1\">".$category_details['name']."</a></li>";}
		unset($category_details);
	}
	 */

    $category = new Category();

	foreach ($categories as $category_id => $value){

		if ($value['menu_link_visible']<1) continue;

		// expand category tree if category or sub category is currently being viewed
		$open='';
		$open_indicator='';
		if ($category_id==$open_category_id){$open=" class=\"expand\"";}
		elseif($value['child_category_count']>0){

			$check_category_id=$open_category_id;
			for ($i=0; $i<$value['child_category_count']; $i++){
			   $category->getData($check_category_id);
			   if ($category->parent_category_id==$category_id){$open=" class=\"expand\"";break;}
			   $check_category_id=$category->parent_category_id;
			}

		}

		if($value['child_category_count']>0){$open_indicator="+ ";}

		if ($value['menu_link_html']>0){
            $category->getData($category_id);
            $content.="<li".$open.">".$open_indicator.$category->menu_link_html;
        }
		else{$content.="<li".$open."><a href=\"".category_url($category_id,1,$value['slug'])."\">".$open_indicator."".htmlspecialchars($value['name'])."</a>";}

        // call this function again to display this categories child categories if any
		if ($value['child_category_count']>0){$content.=display_category_nav_menu_accordian($category_id, $noaccordian, $open_category_id, $level+1);}
		$content.="</li>\n";

	}
	$content.="</ul>\n";

	// cache menu
	if (cache_enabled>0 && $level<1){
		$fo=fopen($fn,"w");
		fwrite($fo,$content);
		fclose($fo);
	}

   return $content;
}


?>