<?php

if (isset($slider_data)){

    $pieces=explode(',',$slider_data);
    if (isset($pieces[0])){
        if (!is_numeric($pieces[0])){
            if (isset($rvi_cat)){$slider_cat=$rvi_cat;}else{$slider_cat=0;}
        }
        else{$slider_cat=$pieces[0];}
    }
    if (isset($pieces[1])){$slider_width=$pieces[1];}
    if (isset($pieces[2])){$slider_height=$pieces[2];}
}

// defaults
if (!isset($slider_cat)){
    if (isset($rvi_cat)){$slider_cat=$rvi_cat;}else{$slider_cat=0;}
}
if (!isset($slider_width)){$slider_width=700;}
if (!isset($slider_height)){$slider_height=306;}

$page->meta.="<link href=\"".cms_root_url."plugins/jsImgSlider/themes/1/js-image-slider.css\" rel=\"stylesheet\" type=\"text/css\" />
<script src=\"".cms_root_url."plugins/jsImgSlider/themes/1/js-image-slider.js\" type=\"text/javascript\"></script>
<style>
#slider {
width: ".$slider_width."px;
height: ".$slider_height."px;
}
div.navBulletsWrapper  {
top: ".intval($slider_height+14)."px;
left: ".intval($slider_width/2.5)."px;
}
</style>";

$category_details=get_category_details($slider_cat);

$slider_code="";
if (isset($category_details['image'])){

    $category_path=sys_data_dir.'/categories/'.$slider_cat.'/';

    foreach ($category_details['image'] as $image_fn => $image_data){

        if (!isset($image_assign_name) || $image_data['assign']!=$image_assign_name){continue;}

        // check if correct size image exists and create one if it doesn't
        $thumbnail_fn=$slider_width."x".$slider_height.'_c'.$slider_cat.'_'.$image_fn;
        if (!file_exists(sys_image_dir.'/'.$thumbnail_fn)){
            createthumb($category_path.$image_fn,sys_image_dir.'/'.$thumbnail_fn,$slider_width,$slider_height,0,0);
        }

        if (isset($image_data['link']) && $image_data['link']!=''){$slider_code.="<a href=\"".$image_data['link']."\">";}
        $slider_code.="<img src=\"".cms_image_url.$thumbnail_fn."\" alt=\"".$image_data['alt_tag']."\" />";
        if (isset($image_data['link']) && $image_data['link']!=''){$slider_code.="</a>";}

    }


    if ($slider_code!=""){$slider_code="<div id=\"slider\">".$slider_code."</div>";}

}


?>