<?php

	// exit if php file is loaded directly and not included
	if (!defined("cms_version_number")){exit();}

    // cheque payment option
    
    // payment options must contain the folowing data
    $payment_option_details=array(); // required - do not change or remove this
    $payment_option_details['item_type']='payment_option'; // required - do not change or remove this

    $payment_option_details['id']="cheque";  // required - each shipping option must have a unique id that matches the file name exactly minus the extension
    $payment_option_details['admin_name']="Cheque";  // display name in admin area
    $payment_option_details['admin_description']="Accept cheque payments by post."; // description displayed in admin
    $payment_option_details['name']="Pay by Cheque"; // display name in checkout/front end
    $payment_option_details['description']="When sending a cheque or postal money order please remember to include your <b>contact details</b> and ensure that <b>correct postage</b> is paid for national or international delivery.";  // description displayed in checkout/front end

    // custom data specific to this payment option - can be modified in admin area
    $payment_option_details['value']['merchant_name']['name']="Name";
    $payment_option_details['value']['merchant_name']['admin_description']="Enter postal address where cheque payments should be sent.";
    $payment_option_details['value']['merchant_name']['value']=$cmsSettings->config['site_name'];
    $payment_option_details['value']['address_1']['name']="Address 1";
    $payment_option_details['value']['address_1']['admin_description']="";
    $payment_option_details['value']['address_1']['value']="";
    $payment_option_details['value']['address_2']['name']="Address 2";
    $payment_option_details['value']['address_2']['admin_description']="";
    $payment_option_details['value']['address_2']['value']="";
    $payment_option_details['value']['town']['name']="Town/City";
    $payment_option_details['value']['town']['admin_description']="";
    $payment_option_details['value']['town']['value']="";
    $payment_option_details['value']['postcode']['name']="Postcode";
    $payment_option_details['value']['postcode']['admin_description']="";
    $payment_option_details['value']['postcode']['value']="";
    $payment_option_details['value']['county']['name']="County/State";
    $payment_option_details['value']['county']['admin_description']="";
    $payment_option_details['value']['county']['value']="";
    $payment_option_details['value']['country']['name']="Country";
    $payment_option_details['value']['country']['admin_description']="";
    $payment_option_details['value']['country']['value']="";

    // get saved data for this payment option if it exists
    if ($saved_payment_option_details=get_item_details('payment_option',$payment_option_details['id'])){
        if (function_exists('array_replace_recursive')){
            // php5.3.0 or higher
           $payment_option_details=array_replace_recursive($payment_option_details,$saved_payment_option_details);
        }
        else{
            // legacy code for pre php5.3.0
            $payment_option_details=$saved_payment_option_details;
        }
    }

    if (!isset($rvi_paynow) || !isset($payment_option_details['status']) || $payment_option_details['status']<1){return;}
    // ------------- paynow button code goes below here -------------

    // shop postal address
    $merchant_address['address_name']=$payment_option_details['value']['merchant_name']['value'];
    $merchant_address['address_1']=$payment_option_details['value']['address_1']['value'];
    $merchant_address['address_2']=$payment_option_details['value']['address_2']['value'];
    $merchant_address['town']=$payment_option_details['value']['town']['value'];
    $merchant_address['postcode']=$payment_option_details['value']['postcode']['value'];
    $merchant_address['county']=$payment_option_details['value']['county']['value'];
    $merchant_address['country']=$payment_option_details['value']['country']['value'];

    $payment_option_form="<div class=\"notranslate\" style=\"display: inline-block; text-align: left\"><address>".format_address($merchant_address,0)."</address></div>";


?>