<?php

	// exit if php file is loaded directly and not included
	if (!defined("cms_version_number")){exit();}

    // worldnet payment option
    // payment options must contain the folowing data
    $payment_option_details=array();
    $payment_option_details['item_type']='payment_option'; // required - do not change or remove this

    $payment_option_details['id']="psigate";  // required - each shipping option must have a unique id that matches the file name exactly minus the extension
    $payment_option_details['admin_name']="PSiGate";  // display name in admin area
    $payment_option_details['admin_description']="Accept payments via PSiGate."; // description displayed in admin
    $payment_option_details['name']="PSiGate"; // display name in checkout/front end
    $payment_option_details['description']="All major Credit Cards accepted.<br /><br />Upon clicking the Pay Now button you will be redirected to a secure payment page provided by PSiGate.";  // description displayed in checkout/front end

    // custom data specific to this payment option - can be modified in admin area
    $payment_option_details['value']['PSiGate_merchant_id']['name']='StoreKey/MerchantID';
    $payment_option_details['value']['PSiGate_merchant_id']['admin_description']='Enter your StoreKey/MerchantID as provided to you by PSiGate. For PSiGate test environment use psigatecapturescard001010';
    $payment_option_details['value']['PSiGate_merchant_id']['value']="psigatecapturescard001010";

    // get saved data for this payment option if it exists
    if ($saved_payment_option_details=get_item_details('payment_option',$payment_option_details['id'])){
        if (function_exists('array_replace_recursive')){
            // php5.3.0 or higher
           $payment_option_details=array_replace_recursive($payment_option_details,$saved_payment_option_details);
        }
        else{
            // legacy code for pre php5.3.0
            $payment_option_details=$saved_payment_option_details;
        }
    }

    if (!isset($rvi_paynow) || !isset($payment_option_details['status']) || $payment_option_details['status']<1){return;}
    // ------------- paynow button code goes below here -------------


    if ($payment_option_details['value']['PSiGate_merchant_id']['value']=="psigatecapturescard001010"){
        // test environment form
        // TestResult A=approved, D=declined, R=random approve/decline, F=fraud
        $payment_option_form="<FORM ACTION='https://devcheckout.psigate.com/HTMLPost/HTMLMessenger' METHOD=post>
        <INPUT TYPE=HIDDEN NAME=\"MerchantID\" VALUE=\"psigatecapturescard001010\">
        <INPUT TYPE=HIDDEN NAME=\"TestResult\" VALUE=\"A\">
        <INPUT TYPE=HIDDEN NAME=\"OrderID\" VALUE=\"".$order->id."\">
        <INPUT TYPE=HIDDEN NAME=\"FullTotal\" VALUE=\"".$order_total."\">
        <INPUT TYPE=SUBMIT VALUE=\"Pay Now\">
        </FORM>";
    }
    else{
        // live environment form
        $payment_option_form="<FORM ACTION='https://checkout.psigate.com/HTMLPost/HTMLMessenger' METHOD=post>
        <INPUT TYPE=HIDDEN NAME=\"MerchantID\" VALUE=\"".$payment_option_details['value']['PSiGate_merchant_id']['value']."\">
        <INPUT TYPE=HIDDEN NAME=\"OrderID\" VALUE=\"".$order->id."\">
        <INPUT TYPE=HIDDEN NAME=\"FullTotal\" VALUE=\"".$order_total."\">
        <INPUT TYPE=SUBMIT VALUE=\"Pay Now\">
        </FORM>";
    }





?>