<?php

// exit if php file is loaded directly and not included
if (!defined("cms_version_number")){exit();}

$payment_response=1;
include('paynow.php');

// RESPONSECODE A or D or R(Approved or Declined or Referral)

if ($rvi_RESPONSECODE=='A'){

    if ($order_details=get_item_details('order',$rvi_ORDERID)){

        // update order status to paid
        if ($order->status<1){

            $order->status=1;

            //$order_details['payment_method']='Worldnet TPS';
            //$order_details['payment_time']=time();

            /* // update for new object/class
            if (is_array($order_details['products'])){
        		foreach($order_details['products'] as $product_option_id => $product){
                    // check if there are listings in the order and set them to active
                    if (isset($product['listing_id'])){
                        if ($listing_details=get_item_details('listing',$product['listing_id'])){
                            if ($listing_details['status']!=1){
                                $listing_details['status']=1;
                                save_item_details($listing_details);
                                update_item_list_file('listings',array($listing_details['id']));
                            }
                        }
                    }
        		}
    	    }
            */

            save_item_details($order_details);
            update_item_list_file('orders',array($order->id));
        }

        require_once(cms_root_dir.'plugins/PHPMailer/class.phpmailer.php');

		// send email to customer
		$mail = new PHPMailer();

        // send mail via smtp if set in config file
        if (smtp_host){
            $mail->IsSMTP(); // send via SMTP
            $mail->SMTPAuth = true; // turn on SMTP authentication
            $mail->SMTPSecure = 'ssl';
            $mail->Username = smtp_username; // SMTP username
            $mail->Password = smtp_password; // SMTP password
            $mail->Host       = smtp_host; // SMTP server
            $mail->Port       = smtp_port; // SMTP server
        }


		$mail->From = $cmsSettings->config['site_email'];
		$mail->FromName = cms_site_name;
		$mail->AddAddress($order->customer->email);

		$mail->Subject = cms_site_name." - Order: ".$order->id." - Payment Received";
		$mail->Body    = "Hi ".$order->customer->name.",\n\nThank you for your payment. Your order is now being processed.\n\n".cms_site_name."\n".cms_url;


		$mail->Send();

		// send email to shop owner
		$mail->ClearAddresses();
		$mail->From = $cmsSettings->config['site_email'];
		$mail->FromName = cms_site_name;
		$mail->AddAddress($cmsSettings->config['site_email']);

		$mail->Subject = cms_site_name." - Order: ".$order->id." - Payment Received";
		$mail->Body    = 'A payment was made via Worldnet TPS for order '.$order->id.' - this order is now marked paid.';


		$mail->Send();

    }

    $page_content['main'].="<h1>Thank you</h1><p>Your transaction has been completed, and a receipt for your purchase has been emailed to you.</p><p>Please allow at least 24hrs for this order to be processed.</p>";

}
elseif ($rvi_RESPONSECODE=='D'){$page_content['main'].="<h1>Payment Error</h1><p>There was an error processing your payment.</p>";}


?>