<?php

// flat rate shipping option - apply a simple flat rate for shipping to all orders
// shipping options must contain the folowing data
$shipping_option_details=array();
$shipping_option_details['item_type']='shipping_option'; // required - do not change or remove this

$shipping_option_details['id']="collection";  // required - each shipping option must have a unique id that matches the file name exactly minus the extension
$shipping_option_details['admin_name']="Shop & Collect";  // display name in admin area
$shipping_option_details['admin_description']="Applies zero shipping amount to the order as goods are to be collected by the customer."; // description displayed in admin
$shipping_option_details['name']="Shop & Collect"; // display name in checkout/front end
$shipping_option_details['description']="Collect your order at our shop.";  // description displayed in checkout/front end

// custom data specific to this shipping option
/*
$shipping_option_details['value']['flat_rate']['name']='Flat Rate';
$shipping_option_details['value']['flat_rate']['admin_description']='Specify flat rate price of shipping.';
$shipping_option_details['value']['flat_rate']['value']=7.0; // flat rate shipping price
$shipping_option_details['value']['free_shipping']['name']='Free Shipping';
$shipping_option_details['value']['free_shipping']['admin_description']='Orders less than or equal to this amount will have free shipping.';
$shipping_option_details['value']['free_shipping']['value']=999999; // free shipping if order above this value
*/
// get saved data for this shipping option if it exists
if ($saved_shipping_option_details=get_item_details('shipping_option',$shipping_option_details['id'])){
    if (function_exists('array_replace_recursive')){
        // php5.3.0 or higher
       $shipping_option_details=array_replace_recursive($shipping_option_details,$saved_shipping_option_details);
    }
    else{
        // legacy code for pre php5.3.0
        $shipping_option_details=$saved_shipping_option_details;
    }
}

// code after this line is for front end only
if (cms_interface!="front"){return;}

// custom form fields or text for this shipping option can be added to shipping_option_form string
$shipping_option_details['form']="";

// input names must be user_shipping_info[$shipping_option_details['id']]['name_of_my_user_value']
$shipping_option_details['form']="<p>Please indicate below an approximate time for collection.</p>
<textarea style=\"width: 100%\" name=\"user_shipping_info[".$shipping_option_details['id']."][Collection Note]\">".(isset($_SESSION[cms_key]['cart']->shipping_option['user_shipping_info']['Collection Note']) ? $_SESSION[cms_key]['cart']->shipping_option['user_shipping_info']['Collection Note'] : "")."</textarea>";

// code after this line is for front end calculation of shipping only
if (!isset($calc_shipping)){return;}

$shipping_total=0;


?>
