<?php

// postode zonal shipping option - apply a shipping rate based on the customers delivery postcode - with dropdown select
// shipping options must contain the folowing data
$shipping_option_details=array();
$shipping_option_details['item_type']='shipping_option'; // required - do not change or remove this

$shipping_option_details['id']="zones_by_postcode_select";  // required - each shipping option must have a unique id that matches the shipping option folder name exactly
$shipping_option_details['admin_name']="Zonal Rates by Postcode";  // display name in admin area
$shipping_option_details['admin_description']="Applies a shipping amount based on the cusomers delivery postcode."; // description displayed in admin
$shipping_option_details['name']="Shipping"; // display name in checkout/front end
$shipping_option_details['description']="Standard Shipping";  // description displayed in checkout/front end

// custom data specific to this shipping option
$shipping_option_details['value']['zone1_postcodes']['name']='Zone 1 Postcodes ';
$shipping_option_details['value']['zone1_postcodes']['admin_description']='Comma seperate postcodes for Zone 1 Rate.';
$shipping_option_details['value']['zone1_postcodes']['value']=""; // flat rate shipping price
$shipping_option_details['value']['zone1_rate']['name']='Zone 1 Rate';
$shipping_option_details['value']['zone1_rate']['admin_description']='Enter the shipping rate for postcodes listed in Zone 1.';
$shipping_option_details['value']['zone1_rate']['value']=0.0; // flat rate shipping price

$shipping_option_details['value']['zone2_postcodes']['name']='Zone 2 Postcodes ';
$shipping_option_details['value']['zone2_postcodes']['admin_description']='Comma seperate postcodes for Zone 2 Rate.';
$shipping_option_details['value']['zone2_postcodes']['value']=""; // flat rate shipping price
$shipping_option_details['value']['zone2_rate']['name']='Zone 2 Rate';
$shipping_option_details['value']['zone2_rate']['admin_description']='Enter the shipping rate for postcodes listed in Zone 2.';
$shipping_option_details['value']['zone2_rate']['value']=0.0; // flat rate shipping price

$shipping_option_details['value']['zone3_postcodes']['name']='Zone 3 Postcodes ';
$shipping_option_details['value']['zone3_postcodes']['admin_description']='Comma seperate postcodes for Zone 3 Rate.';
$shipping_option_details['value']['zone3_postcodes']['value']=""; // flat rate shipping price
$shipping_option_details['value']['zone3_rate']['name']='Zone 3 Rate';
$shipping_option_details['value']['zone3_rate']['admin_description']='Enter the shipping rate for postcodes listed in Zone 3.';
$shipping_option_details['value']['zone3_rate']['value']=0.0; // flat rate shipping price

$shipping_option_details['value']['zone4_postcodes']['name']='Zone 4 Postcodes ';
$shipping_option_details['value']['zone4_postcodes']['admin_description']='Comma seperate postcodes for Zone 4 Rate.';
$shipping_option_details['value']['zone4_postcodes']['value']=""; // flat rate shipping price
$shipping_option_details['value']['zone4_rate']['name']='Zone 4 Rate';
$shipping_option_details['value']['zone4_rate']['admin_description']='Enter the shipping rate for postcodes listed in Zone 4.';
$shipping_option_details['value']['zone4_rate']['value']=0.0; // flat rate shipping price

$shipping_option_details['value']['zone5_postcodes']['name']='Zone 5 Postcodes ';
$shipping_option_details['value']['zone5_postcodes']['admin_description']='Comma seperate postcodes for Zone 5 Rate.';
$shipping_option_details['value']['zone5_postcodes']['value']=""; // flat rate shipping price
$shipping_option_details['value']['zone5_rate']['name']='Zone 5 Rate';
$shipping_option_details['value']['zone5_rate']['admin_description']='Enter the shipping rate for postcodes listed in Zone 5.';
$shipping_option_details['value']['zone5_rate']['value']=0.0; // flat rate shipping price

$shipping_option_details['value']['zone6_postcodes']['name']='Zone 6 Postcodes ';
$shipping_option_details['value']['zone6_postcodes']['admin_description']='Comma seperate postcodes for Zone 6 Rate.';
$shipping_option_details['value']['zone6_postcodes']['value']=""; // flat rate shipping price
$shipping_option_details['value']['zone6_rate']['name']='Zone 6 Rate';
$shipping_option_details['value']['zone6_rate']['admin_description']='Enter the shipping rate for postcodes listed in Zone 6.';
$shipping_option_details['value']['zone6_rate']['value']=0.0; // flat rate shipping price

$shipping_option_details['value']['default_rate']['name']='Default Rate';
$shipping_option_details['value']['default_rate']['admin_description']='In situations where a postcode cannot be matched the default shipping rate will be applied.';
$shipping_option_details['value']['default_rate']['value']=0.0; // flat rate shipping price

$shipping_option_details['value']['free_shipping']['name']='Free Shipping';
$shipping_option_details['value']['free_shipping']['admin_description']='Orders greater than or equal to this amount will have free shipping.';
$shipping_option_details['value']['free_shipping']['value']=999999; // free shipping if order above this value

$shipping_option_details['value']['dropdown_select']['name']='Dropdown Select';
$shipping_option_details['value']['dropdown_select']['admin_description']='1 to enable. If enabled a dropdown with all entered postcodes will be shown on the shipping option for the customer to select. Otherwise it will try to match to postcode text entered in the checkout delivery address.';
$shipping_option_details['value']['dropdown_select']['value']=0; // 0 to disable, 1 or greater to enable

$shipping_option_details['value']['dropdown_select_txt']['name']='Dropdown Select Text';
$shipping_option_details['value']['dropdown_select_txt']['admin_description']='This text is shown on the Dropdown Select if it is enabled.';
$shipping_option_details['value']['dropdown_select_txt']['value']="Select Postcode For Delivery"; // flat rate shipping price

// get saved data for this shipping option if it exists
if ($saved_shipping_option_details=get_item_details('shipping_option',$shipping_option_details['id'])){
    if (function_exists('array_replace_recursive')){
        // php5.3.0 or higher
       $shipping_option_details=array_replace_recursive($shipping_option_details,$saved_shipping_option_details);
    }
    else{
        // legacy code for pre php5.3.0
        $shipping_option_details=$saved_shipping_option_details;
    }
}

// code after this line is for front end only
if (cms_interface!="front"){return;}

// display select postcode dropdown if enabled
if ($shipping_option_details['value']['dropdown_select']['value']>0){
    //if ($shipping_option_details['value']['dropdown_select_txt']['value']!=""){$shipping_option_details['form']="<p>".$shipping_option_details['value']['dropdown_select_txt']['value']."</p>";}
    $shipping_option_details['form']="<div><select name=\"shipping_option_postcode\"><option value=\"\">".$shipping_option_details['value']['dropdown_select_txt']['value']."</option>";
    // concatenate all postcodes from shipping option into one string
    $all_postcodes_string=$shipping_option_details['value']['zone1_postcodes']['value'];
    $all_postcodes_string.=",".$shipping_option_details['value']['zone2_postcodes']['value'];
    $all_postcodes_string.=",".$shipping_option_details['value']['zone3_postcodes']['value'];
    $all_postcodes_string.=",".$shipping_option_details['value']['zone4_postcodes']['value'];
    $all_postcodes_string.=",".$shipping_option_details['value']['zone5_postcodes']['value'];
    $all_postcodes_string.=",".$shipping_option_details['value']['zone6_postcodes']['value'];
    // make array of all postcodes
    $all_postcodes_array=explode(",",$all_postcodes_string);
    foreach ($all_postcodes_array as $postcode_option){
        if ($postcode_option!=""){
            $postcode_option=trim($postcode_option);
            if (isset($_SESSION[cms_key]['cart']->shipping_option['user_shipping_info']['Postcode']) && $_SESSION[cms_key]['cart']->shipping_option['user_shipping_info']['Postcode']==$postcode_option){
                $shipping_option_details['form'].="<option value=\"".$postcode_option."\" selected=\"selected\">".$postcode_option."</option>";
            }
            elseif(!isset($_SESSION[cms_key]['cart']->shipping_option['user_shipping_info']['Postcode']) && trim($_SESSION[cms_key]['cart']->customer->delivery_addr->postcode)==$postcode_option){
                $shipping_option_details['form'].="<option value=\"".$postcode_option."\" selected=\"selected\">".$postcode_option."</option>";
            }
            else{$shipping_option_details['form'].="<option value=\"".$postcode_option."\">".$postcode_option."</option>";}
        }
    }
    //$shipping_option_details['form'].="<option>Other</option>";
    $shipping_option_details['form'].="</select></div>";
}

// code after this line is for front end calculation of shipping only
if (!isset($calc_shipping)){return;}
// this is where the shipping total is calculated
if ($_SESSION[cms_key]['cart']->getSubTotal()>$shipping_option_details['value']['free_shipping']['value']){$shipping_total=0;}
else{

    // if dropdown_select enabled must be selected
    if ($shipping_option_details['value']['dropdown_select']['value']>0 && (!isset($rvi_shipping_option_postcode) || $rvi_shipping_option_postcode=="")){
        $_SESSION[cms_key]['form']['shipping']['warning'][]="Please select the appropriate delivery postcode for the selected shipping option.";
        return;
    }

    // apply default shipping rate first then we will check for a postcode match
    $shipping_total=$shipping_option_details['value']['default_rate']['value'];

    if (isset($rvi_shipping_option_postcode) && $rvi_shipping_option_postcode!="" && $rvi_shipping_option_postcode!=$shipping_option_details['value']['dropdown_select_txt']['value']){
        // use selected postcode from shipping option
        $delivery_postcode=strtolower($rvi_shipping_option_postcode);
        // we need to record this in session checkout array
        $shipping_option_details['user_shipping_info']['Postcode']=$rvi_shipping_option_postcode;
        // we could update the shipping name to include the selected postcode instead
        //$shipping_option_details['name'].=" (".$rvi_shipping_option_postcode.")";
    }
    else{
        // use postcode in delivery address if set
        if (empty($_SESSION[cms_key]['cart']->customer->delivery_addr->postcode)) return;
        //$delivery_postcode=strtolower($_SESSION[cms_key]['cart']->customer->addr->postcode);
        $delivery_postcode=strtolower($_SESSION[cms_key]['cart']->customer->delivery_addr->postcode); // bug fix line above
    }

    // check for postcode match in zone 1 and apply zone 1 rate
    if ($shipping_option_details['value']['zone1_postcodes']['value']!=''){
        $postcodes=explode(",",$shipping_option_details['value']['zone1_postcodes']['value']);
        $postcodes=array_map('strtolower',$postcodes);
        $postcodes=array_map('trim',$postcodes);
        if (in_array($delivery_postcode,$postcodes)){$shipping_total=$shipping_option_details['value']['zone1_rate']['value'];return;}
    }

    // check for postcode match in zone 2 and apply zone 2 rate
    if ($shipping_option_details['value']['zone2_postcodes']['value']!=''){
        $postcodes=explode(",",$shipping_option_details['value']['zone2_postcodes']['value']);
        $postcodes=array_map('strtolower',$postcodes);
        $postcodes=array_map('trim',$postcodes);
        if (in_array($delivery_postcode,$postcodes)){$shipping_total=$shipping_option_details['value']['zone2_rate']['value'];return;}
    }

    // check for postcode match in zone 3 and apply zone 3 rate
    if ($shipping_option_details['value']['zone3_postcodes']['value']!=''){
        $postcodes=explode(",",$shipping_option_details['value']['zone3_postcodes']['value']);
        $postcodes=array_map('strtolower',$postcodes);
        $postcodes=array_map('trim',$postcodes);
        if (in_array($delivery_postcode,$postcodes)){$shipping_total=$shipping_option_details['value']['zone3_rate']['value'];return;}
    }

    // check for postcode match in zone 4 and apply zone 4 rate
    if ($shipping_option_details['value']['zone4_postcodes']['value']!=''){
        $postcodes=explode(",",$shipping_option_details['value']['zone4_postcodes']['value']);
        $postcodes=array_map('strtolower',$postcodes);
        $postcodes=array_map('trim',$postcodes);
        if (in_array($delivery_postcode,$postcodes)){$shipping_total=$shipping_option_details['value']['zone4_rate']['value'];return;}
    }

    // check for postcode match in zone 5 and apply zone 5 rate
    if ($shipping_option_details['value']['zone5_postcodes']['value']!=''){
        $postcodes=explode(",",$shipping_option_details['value']['zone5_postcodes']['value']);
        $postcodes=array_map('strtolower',$postcodes);
        $postcodes=array_map('trim',$postcodes);
        if (in_array($delivery_postcode,$postcodes)){$shipping_total=$shipping_option_details['value']['zone5_rate']['value'];return;}
    }

    // check for postcode match in zone 6 and apply zone 6 rate
    if ($shipping_option_details['value']['zone6_postcodes']['value']!=''){
        $postcodes=explode(",",$shipping_option_details['value']['zone6_postcodes']['value']);
        $postcodes=array_map('strtolower',$postcodes);
        $postcodes=array_map('trim',$postcodes);
        if (in_array($delivery_postcode,$postcodes)){$shipping_total=$shipping_option_details['value']['zone6_rate']['value'];return;}
    }

}


?>
