<?php
// exit if php file is loaded directly and not included
if (!defined("cms_version_number")){exit();}

// set page title
$page->title="Thank You";
$page->meta_title=cms_site_name." - ".$page->title;

$directory=cms_root_dir.'includes/shop/payment_options';
$handle = opendir($directory);
// look for relevant payment option thank you file
while (FALSE !== ($file = readdir($handle))){

    if($file=='.' || $file=='..' || substr($file,0,1)=='_' || !is_dir($directory.'/'.$file)){continue;}

    // use substr incase the payment gateway appends a query string of it's own
    if (substr($rvi_thankyou,0,strlen($file))==$file){

        // lookfor thankyou.php, thankyou.html or thankyou.htm
        if (file_exists($directory.'/'.$file.'/thankyou.php')){include($directory.'/'.$file.'/thankyou.php');$break=1;}
        elseif (file_exists($directory.'/'.$file.'/thankyou.html')){$page_content['main'].=file_get_contents($directory.'/'.$file.'/thankyou.html');$break=1;}
        elseif (file_exists($directory.'/'.$file.'/thankyou.htm')){$page_content['main'].=file_get_contents($directory.'/'.$file.'/thankyou.htm');$break=1;}

        break;
    }

}

// ----- legacy code pre1.7.1 below this point --------
if (isset($break)){return;}

// use substr incase the payment gateway appends a query string of it's own
if (substr($rvi_thankyou,0,6)=='paypal'){$page_content['main'].="<h1>Thank you</h1><p>Your transaction has been completed, and a receipt for your purchase has been emailed to you.</p><p>Please allow at least 24hrs for this order to be processed.</p>";}
elseif ($rvi_thankyou=='worldnet'){include(cms_root_dir.'plugins/worldnet-tps/response.php');}


?>
