<?php

	// exit if php file is loaded directly and not included
	if (!defined("cms_version_number")) exit;

    // visual sitemap of categories , not xml sitemap

    $page->title="Sitemap";
    $page->meta_title=cms_site_name." - ".$page->title;

    $page_content['main'].="<h1>Sitemap</h1>";

    $page_content['main'].=sitemap_display_categories(0,0,1);


    function sitemap_display_categories($parent_category_id, $level, $type) {

        $content="";

    	$categories=get_categories($parent_category_id,"name",$type);
    	if (empty($categories)) return false;

        $category = new Category();

    	$indent="";
    	if ($level>0){
    	  for ($i=0; $i<$level; $i++){$indent.="- &nbsp;&nbsp;";}
    	}
        if (strlen($indent)>0){$indent='<span style="color: #b2b2b2">'.$indent.'</span>';}

        $content.="<ul>";

    	foreach ($categories as $category_id => $value){

    		if ($type==$value['type']){

              if ($category->getData($category_id)){

                  if (!isset($category->user_group) || !in_array(0,$category->user_group)) continue;
                  if (!$category->in_sitemap) continue;

                  $content.="<li><a href=\"".$category->getURL()."\">".$category->name."</a>";

                  /*
                  // output category sub pages to sitemap
                  if ($category->listing_type==0){$items_type='products';}
                  elseif ($category->listing_type==1){$items_type='listings';}

            	  if ($items=get_items($items_type,$category_id,'1')){$item_count=count($items);}else{$item_count=0;}
                  if ($item_count>0){
                      $items_per_page=$category->rows*$category->cols;
                      $number_of_pages=ceil($item_count/$items_per_page);
                      if ($number_of_pages>1){
                          for ($page_num=2; $page_num<=$number_of_pages; $page_num++){
                              $content.=" <a href=\"".$category->getURL(null,null,$page_num)."\">".$page_num."</a>";
                          }
                      }
                  }
                  unset($items,$item_count,$page_num);
                  */

                  $content.="</li>";

                  // call this function again to display this categories child categories if any
        			if ($type>0 && $value['child_category_count']>0){$content.=sitemap_display_categories($category_id, $level+1, $type);}

              }
          }

    	}
        $content.="</ul>";
       return $content;
    }

//if (admin_level()>9){exit;}
?>
