<?php

	// exit if file loaded external to cms
	if (!defined("cms_version_number")) exit;

    // use $breadcrumb_str in content template or use {cms-breadcrumbs} in page template
    $breadcrumb_str="";

    $seperator=" <span style=\"margin:0 5px\">/</span> ";

    foreach ($breadcrumbs as $breadcrumb){

        if ($breadcrumb_str) $breadcrumb_str.=$seperator;

        $crumb=ucwords(strtolower($breadcrumb['name']));
        if ($breadcrumb['link'])
            $crumb="<a href=\"".$breadcrumb['link']."\">".$crumb."</a>";

        $breadcrumb_str.=$crumb;

    }

    // wrap breadcrumbs in a container if required
    $breadcrumb_str="<div class=\"cms-bcrumbs\">".$breadcrumb_str."</div>";

	
?>
