<?php

	// exit if php file is loaded directly and not included
	if (!defined("cms_version_number")) exit;

    $page_content['main'].="<div class=\"cms-content cms-article-page\">";


    $gallery_html = "";
    if ($article->image || $article->youtube_video){

        // jquery galleria includes
        $jquery_required=1;
        $page->body_end.="<link href=\"".cms_root_url."plugins/fotorama-4.6.4/fotorama.css\" rel=\"stylesheet\"><script src=\"".cms_root_url."plugins/fotorama-4.6.4/fotorama.js\"></script>";
        // css hack for image click to fullscreen
        /*
        $page->body_end.="<style>.fotorama__fullscreen-icon {
        width: 100%;
        height: 100%;
        background: none;
        z-index:2;
        }</style>";
        */

        $img_main_width=1280;
	    $img_main_height=720;
        $img_zoom_width=1280;
	    $img_zoom_height=720;
        $img_thumb_width=100;
	    $img_thumb_height=100;

        if ($article->image){
        	foreach ($article->image as $image_filename => $value){

                $item_path = $article->itemDir().'/';

                $image_fn = $item_path.$image_filename;

                if (!file_exists($image_fn)) continue;

                $image_mod_time=filemtime($image_fn);

                // check if correct size image exists and create one if it doesn't
                $img_main_filename = $img_main_width."x".$img_main_height.'_'.$image_mod_time.'p'.$article->id.'_'.safe_file_name($image_filename);
                $img_main_fn = sys_image_dir.'/'.$img_main_filename;
                if (!file_exists($img_main_fn) || filemtime($img_main_fn) <= $image_mod_time)
                	createthumb($image_fn,$img_main_fn,$img_main_width,$img_main_height,1,watermark_articles);


                // check if correct size zoom-in image exists and create one if it doesn't
                $img_zoom_filename = $img_zoom_width."x".$img_zoom_height.'_'.$image_mod_time.'p'.$article->id.'_'.safe_file_name($image_filename);
                $img_zoom_fn = sys_image_dir.'/'.$img_zoom_filename;
                if (!file_exists($img_zoom_fn) || filemtime($img_zoom_fn)<=$image_mod_time)
                	createthumb($image_fn,$img_zoom_fn,$img_zoom_width,$img_zoom_height,1,watermark_articles);

                // check if correct size image exists and create one if it doesn't
                $img_thumb_filename=$img_thumb_width."x".$img_thumb_height.'_'.$image_mod_time.'p'.$article->id.'_'.safe_file_name($image_filename);
                $img_thumb_fn = sys_image_dir.'/'.$img_thumb_filename;
                if (!file_exists($img_thumb_fn) || filemtime($img_thumb_fn)<=$image_mod_time)
                	createthumb($image_fn,$img_thumb_fn,$img_thumb_width,$img_thumb_height,1,watermark_articles);


                $alt_txt=$article->name;
		        if ($value['alt_tag']!="" && $value['alt_tag']!=$article->name)
                    $alt_txt.=" - ".$value['alt_tag'];

                $gallery_html.="<a href=\"".cms_image_url.$img_main_filename."\"  data-full=\"".cms_image_url.$img_zoom_filename."\"><img src=\"".cms_image_url.$img_thumb_filename."\" alt=\"".$alt_txt."\"></a>\n";

                // page meta for facebook
                if (!isset($og_thumb_fn)){

                    // image size should be minimum recommended by fb
                    // 1200x630 recommended - 600x315 recommended - 200x200 minimum
                    $og_thumb_width=600;
                    $og_thumb_height=315;

                    // check facebook sharing image exists and create one if it doesn't
                    $og_thumb_filename=$og_thumb_width."x".$og_thumb_height.'_'.$image_mod_time.'p'.$article->id.'_'.safe_file_name($image_filename);
                                $og_thumb_fn=sys_image_dir.'/'.$og_thumb_filename;
                    if (!file_exists($og_thumb_fn))
                    	createthumb($image_fn,$og_thumb_fn,$og_thumb_width,$og_thumb_height,1,watermark_articles);

                    if (file_exists($og_thumb_fn)){

                        $image_size=getimagesize($og_thumb_fn);

                        $og_data['image']=cms_image_url.$og_thumb_filename;
                        $og_data['image_width']=$image_size[0];
                        $og_data['image_height']=$image_size[1];

                    }

                }

            }
        }

        if ($article->youtube_video)
                $gallery_html.="<a href=\"http://www.youtube.com/watch?v=".$article->youtube_video."\">Watch Video</a>";


        if ($gallery_html)
                $gallery_html="<div class=\"fotorama\" data-width=\"100%\" data-fit=\"contain\" data-maxheight=\"350px\" data-ratio=\"800/600\" data-allowfullscreen=\"native\" data-loop=\"true\" data-nav=\"thumbs\" data-thumbwidth=\"".$img_thumb_width."\" data-thumbheight=\"".$img_thumb_height."\">".$gallery_html."</div>";

        // facebook og code
        $og_data['title']=$article->name;
        if ($article->short_description) $og_data['description']=htmlentities($article->short_description,ENT_COMPAT,'UTF-8');
        $og_data['url']=$page->getCurrentURL(true);

    }


    // display image content
    $left_margin='';
    // display image gallery
    if ($gallery_html){
        $page_content['main'].="<div class=\"img_group\" >".$gallery_html."</div>";
        if (display_type!='mobile'){$left_margin=" style=\"margin-left: 220px\"";}
    }

    $page_content['main'].="<div class=\"main_content\"><h1>".htmlentities($article->name,ENT_COMPAT,'UTF-8')."</h1>";

    // display article date and author
    $page_content['main'].="<div class=\"news_detail_date\">".date('jS F Y',$article->date)." by ".$article_owner."</div>";

    $page_content['main'].="<div class=\"news_detail_content\">".$article->content['main']."</div>";

    $page_content['main'].="</div>"; // end of main_content div

    // displaying comments and comment form
    if ($comment_content!="" || $comment_form!=""){

        $page_content['main'].="<div style=\"flex-basis: 100%\">"; // start of comment section div

        if ($comment_content!=""){
            $page_content['main'].='<hr /><h3>'.$comment_count.' Responses to '.$article->name.'</h3>';
            $page_content['main'].=$comment_content;
        }

        $page_content['main'].=$comment_form."</div>"; // end of comment section div
    }

    $page_content['main'].="</div>"; // end of news detail div

    // display related articles - ensure the related articles category in the admin area has listings set to visible and the appropriate templates set
    if (!empty($related_articles['content']['main'])) $page_content['main'].="<hr style=\"margin: 20px 0;\" />".$related_articles['content']['main'];

?>
