<?php

	// exit if php file is loaded directly and not included
	if (!defined("cms_version_number")){exit();}

    // this search box is called by the special page template tag {search}
    // you can modify and add extra fields for more advanced custom searhces or use a manually create a html form based on the code below

    // start of search form
    echo "<form method=\"post\" action=\"".cms_url."?search\" class=\"search_box_form\">";

    // a search will default to use system search category 4 to display search results
    // you can define another category to display the search results by creating a hidden field named "cat" with the category id as the value
    // bear in mind the category you use here must be set to display items
    // echo "<input type=\"hidden\" name=\"cat\" value=\"123456789\" />";

    // if you want to search for items in a particular category or categories you can add a field named "search[cat]"
    // [OR] category ids must be comma delimeted - [AND] groups of category ids must be semi-colon delimeted
    // eg. cat1,cat2,cat3 = search for items in (cat1 or cat2 or cat3)
    // eg. cat1,cat2;cat3,cat4 = search for items in (cat1 or cat2) and (cat3 or cat4)
    // echo "<input type=\"hidden\" name=\"search[cat]\" value=\"123456789,987654321\" />";

    // the following field named "search[phrase]" is required so users can enter their search query
    echo "<input type=\"text\" name=\"search[phrase]\" value=\"".(isset($rvi_search['phrase']) ? htmlspecialchars($rvi_search['phrase']) : "")."\" class=\"search_box_field\" />";

    // search button and end of search form
    echo " <input type=\"submit\" value=\"".$txt['Search']."\" /></form>";

	
?>
