<?php

    // exit if php file is loaded directly and not included
    if (!defined("cms_version_number")){exit();}

    // google reCAPTCHA - https://developers.google.com/recaptcha/intro
    // to use captcha put your SiteKey and SecretKey provided by Google in the variables below and set enable variable to 1
    // todo - add reCAPTCHA v3 suppport - use enable key to allow version switching
    $google_invisible_captcha_enable=0;
    $google_invisible_captcha_sitekey = 'MySiteKey';
    $google_invisible_captcha_secret = 'MySecrectKey';
    if ($google_invisible_captcha_enable>0){
        $page->meta.="<script src='https://www.google.com/recaptcha/api.js'></script>
        <script>
        function submitCaptchaForm() {
            document.getElementById(\"contactForm\").submit();
        }
        </script>";
    }

    $subscribe_form_anchor_id="sf".CMS_INIT_TIME.rand(100,999);
    $subscribe_form="<div class=\"cms-content\" id=\"".$subscribe_form_anchor_id."\">";

    $subscribe_form.="<h2 id=\"subscribe_form\">Subscribe</h2>";

    if (isset($_SESSION[cms_key]['form']['subscribe_email']['warning_green'])){$subscribe_form.=display_warnings($_SESSION[cms_key]['form']['subscribe_email']['warning_green'],'green');}
    else{

        // display warnings
        if (isset($_SESSION[cms_key]['form']['subscribe_email']['warning'])){$subscribe_form.=display_warnings($_SESSION[cms_key]['form']['subscribe_email']['warning']);}

        $subscribe_form.="<form id=\"subscribeForm\" action=\"".$page->url."#".$subscribe_form_anchor_id."\" method=\"post\" class=\"cms_form contact_form\" >
        <div class=\"form_row\"><input name=\"email\" id=\"email\" type=\"email\" maxlength=\"120\" placeholder=\"Enter your email\" value=\"".(isset($_POST['email']) ? $_POST['email'] : "")."\" /><button type=\"submit\" name=\"subscribe_form_submit\" class=\"cms_btn\">Sign Up</button></div>";

        // policy consent text and checkboxes
        $policy_consent_txt="";

        if ($cmsSettings->gdpr==1){$policy_consent_txt="<div style=\"margin: 5px\">By subscribing you agree to our <a href=\"".cms_url."?terms#privacy\" target=\"_blank\">privacy policy</a> and give <span style=\"font-weight: bold\">".cms_site_name."</span> consent to collect and store your details and to send email to the email address provided by you.</div>";}
        elseif($cmsSettings->gdpr==2){$policy_consent_txt="<div style=\"margin: 5px\"><input type=\"checkbox\" id=\"gdpr_consent\" name=\"gdpr_consent\"".(isset($rvi_gdpr_consent) ? "checked=\"checked\"" : "").">&nbsp;<label for=\"gdpr_consent\" class=\"contact_form_policy\" style=\"font-weight: normal\">I agree to allow <span style=\"font-weight: bold\">".cms_site_name."</span> to collect and store my details under <span style=\"font-weight: bold\">GPDR</span> guidelines and to send email to the email address I have provided.</label></div>";}

        if ($cmsSettings->newsletter_consent>0){$policy_consent_txt.="<div style=\"margin: 5px\"><input type=\"checkbox\" id=\"newsletter_consent\" name=\"newsletter_consent\"".(isset($rvi_newsletter_consent) ? "checked=\"checked\"" : "")."> <label for=\"newsletter_consent\" class=\"contact_form_policy\" style=\"font-weight: normal\">I agree to receive newsletter emails periodically from <span style=\"font-weight: bold\">".cms_site_name."</span>.</label></div>";}

        if ($cmsSettings->gdpr<1){$policy_consent_txt.="<div style=\"margin: 5px\">By subscribing to our newsletter you agree to our <a href=\"".cms_url."?terms#privacy\" target=\"_blank\">privacy policy</a>.</div>";}

        if ($google_invisible_captcha_enable>0){
            $subscribe_form.="<div class=\"form_row_footer\"><input type=\"hidden\" name=\"contact_form_submit\"><button class=\"g-recaptcha\" data-sitekey=\"".$google_invisible_captcha_sitekey."\" data-callback=\"submitCaptchaForm\" style=\"padding: 10px 20px 10px 20px\">Send</button></div>";
        }
        else{
            $subscribe_form.="<div class=\"form_row_footer\"><div class=\"contact_form_policy\" style=\"max-width: 600px;margin: 0 0 0 auto\">".$policy_consent_txt."</div></div>";
        }
        $subscribe_form.="</form>";
    }

    $subscribe_form.="</div>";

?>
