<?php

// this file is optional and allows you to override the default rules of the theme importer
// this file should reside in the includes/cms folder of the particular theme it applies to
// after changing this file you should click Change Theme in the admin area to fully refresh the theme

// when preferred urls is set to relative the CMS will add a base href tag to the header of templates
// when set to absolute the CMS will convert all relative urls to absolute urls
// note this only affects links to assets in your theme, the cms will always use absolute urls for links to pages on your site
$prefer_relative_urls=0;

// theme files can have their filename fingerprinted with a timestamp for cache busting purposes
// only files with the extensions specified will be fingerprinted eg. "css","js","png","jpg","jpeg","gif","pdf","ico","woff","eot","cur"
// if your theme uses js/javascript files that use relative file paths it is recommeneded not to fingerprint them
// leave empty array if you do not want any files fingerprinted
$fingerprint_file_types=array();

// fingerprinted filenames can sometimes cause problems when a filename is referenced in javascript
// to exclude certain directories or files from being fingerprinted; use preceeding forward slash eg. /mydir or /myfile.txt
// paths must be relative to the theme directory eg. /mydir or /mydir/subdir/subdir or /myfile.txt or /mydir/subdir/subdir/myfile.txt
// the /includes directory is always excluded even if not added here
$fingerprint_excl_files_dirs=array(
"/default_htm_files/zoomin.cur",
"/default_htm_files/zoomout.cur",
"/default_htm_files/customs.png"
);

// it is possible to automatically find and replace text strings in page templates by defining them in the array below
// this is useful for example if for some reason you cannot apply the cms template tags you want as class names to a page template
// this is case sensitive
$replace_strings = array(
'find_this_example_string' => 'replaced_with_this_example_string'
);


?>